#!/usr/bin/python3

#####################################################
# This script updates versions in the database.
# Parameter1: version (e.g. "1.1.0")
# Parameter2: suffix
# Parameter3: items (e.g. 'CS CS_DATABASE CS_SETTINGS') 

from database  import Database
from functions import g_file_cs_db
import sys

###################################################
# Class for version management.
class VersionDB(Database):
  def __init__(self, db_path):
    Database.__init__(self, db_path)
   
  ###################################################
  # This function sets the given version to all 
  # elements in the items list. 
  def set_version(self, version, items):
    major, minor, revision = version.split('.')
    for item in items:
      super().run("UPDATE version_table set major='"+major+"' where item='"+item+"'")
      super().run("UPDATE version_table set minor='"+minor+"' where item='"+item+"'")
      super().run("UPDATE version_table set revision='"+revision+"' where item='"+item+"'")     

  ###################################################
  #
  def set_cs_suffix(self, suffix):
    super().run("UPDATE version_table set suffix='"+suffix+"' where item='CS'")
  
  
###################################################
#####################  MAIN #######################
###################################################

if len(sys.argv) < 4:
  raise RuntimeError("Missing parameters!")

version=sys.argv[1]
suffix=sys.argv[2]
items=sys.argv[3].split(" ")

db = VersionDB(g_file_cs_db)

db.set_version(version, items)

db.set_cs_suffix(suffix)




