#!/usr/bin/python3

# Description: Renames router config files for OVPN from ovpn_cn to device_id.
#
# Note: This script must be run BEFORE the database is migrated, because
#       it requires 'ovpn_cn' column to be present in the database.

from functions import g_file_cs_db, g_dir_ovpn_cli_config, g_file_cs_settings
from database  import Database, SettingsDB
from os        import path, rename

print('Creating OVPN config files for Standalone clients.')

db = Database(g_file_cs_db)
s  = SettingsDB(g_file_cs_settings)

ovpn_mask = s.get_value('ROADWARRIOR_SERVER1_NETWORK')
  
rows = db.run("SELECT device_id, ovpn_ip FROM device_table WHERE device_type='1'")

for row in rows:
  fname = g_dir_ovpn_cli_config + str(row[0])
  ovpn_ip = row[1]
  with open(fname, 'w') as f:
    f.write("ifconfig-push " + ovpn_ip + " " + ovpn_mask + "\n")
