#!/usr/bin/python3

# This script shall be used during update from 1.0.1 to 1.1.0 version
# to migrate the settings database.
#

from   functions   import g_file_cs_settings
from   database    import SettingsDB

print('Migrating settings from 1.0.1 to 1.1.0')

sdb = SettingsDB(g_file_cs_settings)

sdb.add_setting('CS', 'CS_DOMAIN_NAME', 'Domain Name', '', '', 1, 1)
sdb.add_setting('CS', 'CS_SCHD_DISABLED_INTERVAL', 'Disabled-Poll Interval [s]', '600', '', 0, 0)
sdb.add_setting('CS', 'CS_CERT_DURATION', 'OVPN Client Cert Duration [days]', '365', '', 0, 0)

domain_name = sdb.get_value('APACHE2_PROXY_DOMAIN_TOP')
sdb.set_value('CS_DOMAIN_NAME', domain_name)

sdb.add_setting('ROADWARRIOR', 'ROADWARRIOR_CLIENT_CONFIG_DIR', 'Configuration Directory', '/opt/vpnportal/customer_server/cli-config-dir', '', 1, 0)
sdb.set_value('ROADWARRIOR_CLIENT2CLIENT', '0')

sdb.del_setting('OPENVPN_PROTO')
sdb.add_setting('OPENVPN', 'OPENVPN_PROTO', 'Protocol', 'udp', '', 1, 1)

sdb.del_setting('APACHE2_PROXY_DOMAIN_TOP')
sdb.del_section('APACHE2')

sdb.add_section('PROXY', 'PROXY')
sdb.add_setting('PROXY', 'PROXY_DEFAULT_ENABLED', 'Proxy Enabled by Default', '1', '', 0, 1)
sdb.add_setting('PROXY', 'PROXY_DEFAULT_LAN_ENABLED', 'LAN Proxy Enabled by Default', '0', '', 0, 1)

