#!/usr/bin/python3

# Description: Renames router config files for OVPN from ovpn_cn to device_id.
#
# Note: This script must be run BEFORE the database is migrated, because
#       it requires 'ovpn_cn' column to be present in the database.

from functions import g_file_cs_db, g_dir_ovpn_cli_config
from database  import Database
from os        import path, rename

db = Database(g_file_cs_db)

rows = db.run('SELECT device_id, ovpn_cn FROM device_table')

for row in rows:
  old = g_dir_ovpn_cli_config + row[1]
  if path.exists(old):
    new = g_dir_ovpn_cli_config + str(row[0])
    rename(old, new)
