<?php

namespace AppBundle\Controller;

use AppBundle\Api\CsServerSettings;
use AppBundle\Entity\User;
use AppBundle\Form\Logs;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

/**
 * Class LogsController
 * @package AppBundle\Controller
 */
class LogsController extends Controller
{

    /**
     * @Route("/logs", name="app_logs")
     *
     * @param Request $request Request
     *
     * @return Response
     */
    public function logsAction(Request $request){

        /* XXXXXX TODO: Check if logs should be in settings container. */
        /** @var CsServerSettings $apiCsServerSettings */
        $apiCsServerSettings = $this->container->get('cs_api_server_settings');

        
        $form = $this->createForm(Logs::class, NULL, array('apiCsSettings' => $apiCsServerSettings));
        $form->handleRequest($request);
        if ($form->isSubmitted() && $form->isValid()) {
	    $this->createReport($apiCsServerSettings);
	    exit();
        }

        return $this->render('app/pages/logs/logs.html.twig', [
            'form'      => $form->createView(),
            'cssyslog'  => $apiCsServerSettings->getCSSysLog(),
            'csovpnlog' => $apiCsServerSettings->getOpenVPNLog(),
            'csconnlog' => $apiCsServerSettings->getConnectionLog()
        ]);
    }

    /**
     * @param $settings
     */
    private function createReport($settings){
        $file_name="report.txt";
        $content =  "CS System Log\n=============\n" .
		    $settings->getCSSysLog() .
		    "\n\nCS OpenVPN Log\n==============\n" .
		    $settings->getOpenVPNLog() .
            "\n\nCS Connection Log\n==============\n" .
            $settings->getConnectionLog();

        ob_start();
        header('Content-Description: File Transfer');
        header('Content-Type: application/force-download');
        header('Content-Encoding: AnyTrash');
        header('Content-Disposition: attachment; filename="'.$file_name.'"');
        header('Content-Length: ' . strlen($content));
        print($content);
        ob_end_flush();
        flush();
    }
}
